Sign in

Create / Activate

POST https://{organization}.myguper.com/api/register/team/member

Cria um vínculo entre uma pessoa e um cargo. Comportamento atômico (transação):

  1. Se já existe vínculo ativo da personId, ele é encerrado (endedAt = startedAt).
  2. Cria o novo vínculo.
  3. Garante person.isCollaborator = 1.

Use para contratar ou trocar de cargo. Para encerrar sem substituição, use End.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Request body

Content-Type: application/json

{
    "personId": 99,
    "positionId": 12,
    "reportsTo": 5,                                             // optional
    "startedAt": "2026-04-24",                                  // optional
    "data": null                                                // optional
}

Responses

{
    "id": 7,
    "personId": 99,
    "positionId": 12,
    "reportsTo": 5,
    "startedAt": "2026-04-24",
    "endedAt": null,
    "data": null
}
Copied to clipboard